<?php

/**
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FormTypesBundle\Form\DataTransformer;

use Symfony\Component\Form\DataTransformerInterface;

final class PhoneNumberTypeTransformer implements DataTransformerInterface
{
    public function reverseTransform($phoneNumber): string
    {
        return preg_replace('/[^0-9+]/', '', $phoneNumber);
    }

    public function transform($phoneNumber)
    {
        return $phoneNumber;
    }
}
