<?php

/**
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FormTypesBundle\Form\Types;

use Chill\FormTypesBundle\Form\DataTransformer\PhoneNumberTypeTransformer;
use Misd\PhoneNumberBundle\Form\Type\PhoneNumberType as MisdPhoneNumberType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

final class PhoneNumberType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $phoneNumberTypeTransformer = new PhoneNumberTypeTransformer();

        $builder->addViewTransformer(
            $phoneNumberTypeTransformer
        );
    }

    public function getBlockPrefix(): string
    {
        return 'chill_formtypes_bundle';
    }

    public function getParent(): string
    {
        return MisdPhoneNumberType::class;
    }
}
