<?php

/**
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FormTypesBundle\Service;

use Symfony\Component\HttpKernel\HttpCache\StoreInterface;
use Symfony\Contracts\HttpClient\HttpClientInterface;
use Symfony\Contracts\HttpClient\ResponseInterface;
use Symfony\Contracts\HttpClient\ResponseStreamInterface;

final class TwilioHttpClient implements HttpClientInterface
{
    private HttpClientInterface $client;

    public function __construct(HttpClientInterface $twilioApi, StoreInterface $store)
    {
        // TODO: Use CachingHttpClient when the following bug is fixed.
        // TODO: https://github.com/symfony/symfony/issues/40644
        /*
        $this->client = new CachingHttpClient(
            $twilioApi,
            $store
        );
         */
        $this->client = $twilioApi;
    }

    public function request(string $method, string $url, array $options = []): ResponseInterface
    {
        return $this->client->request($method, $url, $options);
    }

    public function stream($responses, ?float $timeout = null): ResponseStreamInterface
    {
        return $this->client->stream($responses, $timeout);
    }

    public function withOptions($options)
    {
        return $this->client->withOptions($options);
    }
}
