<?php

/**
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FormTypesBundle\Validation\Constraint;

use Chill\FormTypesBundle\Validation\Validator\PhoneNumberValidator;
use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
final class PhonenumberConstraint extends Constraint
{
    /**
     * The type of phone: landline (not able to receive sms) or mobile (can receive sms).
     *
     * @var string 'landline', 'mobile' or 'any'
     */
    public string $type;

    public function validatedBy()
    {
        return PhoneNumberValidator::class;
    }
}
